const log = require("winston");
const getConfig = require("tp-getconfig");
var mode;
getConfig("log", function(err, log) {
    if (err) {

    } else {
        mode = log.level;
    }
});
var errors = [];

module.exports.throwError = function(msg, err) {
    log.error({error: err}, msg);
    errors.push(new Error(msg, err));
    if (errors.length === 1) {
        //sendNotification("error", msg, err);
    }
    if (mode === "debug") {
        console.log(err);
    }
};

module.exports.clearErrors = function() {
    errors = [];
};

function Error(msg, err) {
    this.msg = msg;
    this.err = err;
    this.date = new Date();
}